signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
SignOn::SignonTrace Class Reference

`#include <signontrace.h>`

## Public Types
enum | LogOutput { Syslog = 0, Stdout }

## Public Member Functions
| ~SignonTrace ()

## Static Public Member Functions
static void | initialize (LogOutput logOutput)
static void | output (QtMsgType type, const char *msg)

## Detailed Description

Definition at line 37 of file signontrace.h.

## Member Enumeration Documentation

enum SignOn::SignonTrace::LogOutput

Enumerator
Syslog |
Stdout |

Definition at line 40 of file signontrace.h.

## Constructor & Destructor Documentation

SignOn::SignonTrace::~SignonTrace | ( |  | ) |
| inline

Definition at line 45 of file signontrace.h.

References Syslog.

## Member Function Documentation

static void SignOn::SignonTrace::initialize | ( | LogOutput | logOutput | ) |
| inline static

Definition at line 53 of file signontrace.h.

static void SignOn::SignonTrace::output | ( | QtMsgType | type,
|  | const char * | msg
| ) |  |
| inline static

Definition at line 61 of file signontrace.h.

The documentation for this class was generated from the following file:

- src/signond/signontrace.h